Package com.google.javascript.jscomp.parsing

# Class ParserRunner

java.lang.Object
com.google.javascript.jscomp.parsing.ParserRunner

public class ParserRunner extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ParserRunner.ParseResult`
Holds results of parsing.

## Method Summary

Modifier and Type
Method
Description
`static Config`
`createConfig(boolean isIdeMode)`
Deprecated.
`static Config`
`createConfig(boolean isIdeMode, Config.LanguageMode languageMode, boolean acceptConstKeyword)`
`static Config`
`createConfig(boolean isIdeMode, Config.LanguageMode languageMode, boolean acceptConstKeyword, Set<String> extraAnnotationNames)`
`static Set<String>`
`getReservedVars()`
`static ParserRunner.ParseResult`
`parse(StaticSourceFile sourceFile, String sourceString, Config config, com.google.javascript.rhino.head.ErrorReporter errorReporter, Logger logger)`
Parses the JavaScript text given by a reader.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createConfig

@Deprecated public static Config createConfig(boolean isIdeMode)
Deprecated.

### createConfig

public static Config createConfig(boolean isIdeMode, Config.LanguageMode languageMode, boolean acceptConstKeyword)

### createConfig

public static Config createConfig(boolean isIdeMode, Config.LanguageMode languageMode, boolean acceptConstKeyword, Set<String> extraAnnotationNames)

### getReservedVars

public static Set<String> getReservedVars()

### parse

public static ParserRunner.ParseResult parse(StaticSourceFile sourceFile, String sourceString, Config config, com.google.javascript.rhino.head.ErrorReporter errorReporter, Logger logger) throws IOException
Parses the JavaScript text given by a reader.

Parameters:
  `sourceString` - Source code from the file.
  `errorReporter` - An error.
  `logger` - A logger.
Returns:
  The AST of the given text.
Throws:
  `IOException`